* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    /* make transparent link selection, adjust last value opacity 0 to 1.0 */
}

body {
    -webkit-touch-callout: none;
    /* prevent callout to copy image, etc when tap to hold */
    -webkit-text-size-adjust: none;
    /* prevent webkit from resizing text to fit */
    -webkit-user-select: none;
    /* prevent copy paste, to allow, change 'none' to 'text' */
    background-color: #E4E4E4;
    background-image: linear-gradient(to bottom, #A7A7A7 0%, #E4E4E4 51%);
    font-family: system-ui, -apple-system, -apple-system-font, 'Segoe UI', 'Roboto', sans-serif;
    font-size: 12px;
    height: 100vh;
    margin: 0px;
    padding: 0px;
    /* Padding to avoid the "unsafe" areas behind notches in the screen */
    padding: env(safe-area-inset-top, 0px) env(safe-area-inset-right, 0px) env(safe-area-inset-bottom, 0px) env(safe-area-inset-left, 0px);
    text-transform: uppercase;
    width: 100%;
}

/* Portrait layout (default) */
.app {
    background: url(../img/logo.png) no-repeat center top;
    /* 170px x 200px */
    position: absolute;
    /* position in the center of the screen */
    left: 50%;
    top: 50%;
    height: 50px;
    /* text area height */
    width: 225px;
    /* text area width */
    text-align: center;
    padding: 180px 0px 0px 0px;
    /* image height is 200px (bottom 20px are overlapped with text) */
    margin: -115px 0px 0px -112px;
    /* offset vertical: half of image height and text area height */
    /* offset horizontal: half of text area width */
}

/* Landscape layout (with min-width) */
@media screen and (min-aspect-ratio: 1/1) and (min-width:400px) {
    .app {
        background-position: left center;
        padding: 75px 0px 75px 170px;
        /* padding-top + padding-bottom + text area = image height */
        margin: -90px 0px 0px -198px;
        /* offset vertical: half of image height */
        /* offset horizontal: half of image width and text area width */
    }
}

h1 {
    font-size: 24px;
    font-weight: normal;
    margin: 0px;
    overflow: visible;
    padding: 0px;
    text-align: center;
}

.event {
    border-radius: 4px;
    color: #FFFFFF;
    font-size: 12px;
    margin: 0px 30px;
    padding: 2px 0px;
}

.event.listening {
    background-color: #333333;
    display: block;
}

.event.received {
    background-color: #4B946A;
    display: none;
}

#deviceready.ready .event.listening {
    display: none;
}

#deviceready.ready .event.received {
    display: block;
}

@keyframes fade {
    from {
        opacity: 1.0;
    }

    50% {
        opacity: 0.4;
    }

    to {
        opacity: 1.0;
    }
}

.blink {
    animation: fade 3000ms infinite;
    -webkit-animation: fade 3000ms infinite;
}


@media screen and (prefers-color-scheme: dark) {
    body {
        background-image: linear-gradient(to bottom, #585858 0%, #1B1B1B 51%);
    }
}

/* 
    $INERFACE
*/

.header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
    line-height: 60px;
    color: #FFFFFF;
    text-transform: uppercase;
    text-align: center;
    background-color: #11a7ab;
}

.view {
    position: absolute;
    top: 60px;
    right: 0;
    bottom: 60px;
    left: 0;
}

.panel {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /* -webkit-overflow-scrolling: touch; */
    transition-duration: 3s;
}

.scroll-div {
    
    height: 50%;
    overflow-x: hidden;
    overflow-y: scroll;
}

.panel-padding {
    padding: 0 25px;
}

.left {
    transform: translate3d(-100%, 0, 0);
    /*  transform: translateX(-100%, 0, 0) ; consomationressources */
}

.centre {
    transform: translate3d(-100%, 0, 0);
    /* transform: translateX(-100%, 0, 0) ; consomationressources */
}

.right {
    transform: translate3d(-100%, 0, 0);
    /* transform: translateX(-100%, 0, 0) ; consomationressources */
}

.nav {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 60px;
    line-height: 60;
    text-align: center;
    background-color: #4f597b;
    overflow: hidden;
    zoom: 1;
}

.nav .active {
    border-top: 2px solid #11a7ab;
}

.nav a {
    display: block;
    width: 50%;
    height: 60px;
    line-height: 60px !important;
    float: left;
    box-sizing: border-box;
    transition-duration: 500ms;
}

.nav a:first-child {
    border-right: 1px solid #1f253d;
}

.nav i {
    margin-top: 15px;
}

/* 
    $les input et les bouttons
*/

a:-webkit-any-link {
    color: #11a7ab;
}

input[type=text],
select {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type=submit] {
    width: 100%;
    background-color: #11a7ab;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: #45a049;
}

/* DISABLE */
input[disable=true] {
    pointer-events: none;
    background-color: #aaaaaa ;
    color: #6d6d6d ;
}

.loaderDiv {
    pointer-events: none;
    background-color: #cecece ;
    color: #6d6d6d ;
}

/* Center the loader */
.loaderDiv .loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 120px;
    height: 120px;
    margin: -76px 0 0 -76px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #11a7ab;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}